Bug 232802 - kernel Oopsed when a user mode Linux binary was run
kernel Oopsed when a user mode Linux binary was run
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
http://rercola.acm.jhu.edu/UML
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-17 23:00 EDT by Rich Ercolani
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:22:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg log from when the Oops triggered (2.31 KB, text/plain)
2007-03-17 23:00 EDT, Rich Ercolani
no flags Details

  None (edit)
Description Rich Ercolani 2007-03-17 23:00:54 EDT
Description of problem:
Running a user-mode Linux binary on our FC5 server as a nonroot user caused an
Oops in the FC5 server's kernel, which resulted in a number of utilities failing
to function (w and ps, for example, hung "forever" (actual tested length: 30
minutes)) and unkillable processes (any w and ps instances among them, as well
as the original UML binary). This ultimately resulted in a reboot of the
affected server.

Version-Release number of selected component (if applicable):
2.6.18-1.2239.fc5

How reproducible:
Unknown; this occurred on a production server, and we do not have an identical
install on which to test this yet. An attempt to duplicate this on an earlier
FC5 kernel on another system (2.6.15-1.2054_FC5smp) failed.

Steps to Reproduce:
1. Attempt to execute a user-mode Linux binary (URL for the specific binary used
is the URL for this bug) on this specific kernel.
2. Watch as the kernel NULL pointer dereferences!
  
Actual results:
The Oops whose dmesg log is attached to this bug.

Expected results:
Successful execution of a user-mode Linux binary.

Additional notes:
This bug is not reproducible on an FC6 system (2.6.19-1.2911.fc6).
Comment 1 Rich Ercolani 2007-03-17 23:00:54 EDT
Created attachment 150323 [details]
dmesg log from when the Oops triggered
Comment 2 Chuck Ebbert 2007-03-19 18:28:10 EDT
Please test a 2.6.20-based kernel and report back.
Comment 3 Bug Zapper 2008-04-04 02:34:10 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 15:22:03 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.